<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="mariadbclient" target="risotto" engine="cheetah"/>
  </services>
  <variables>
    <family name="mariadb" description="MariaDB">
      <variable name="mariadb_client_server_domainname" type="domainname" description="Nom de domaine du serveur MariaDB" mandatory="True" supplier="MariaDB"/>
      <variable name="mariadb_client_username" description="Database username" mandatory="True" hidden="True"/>
      <variable name="mariadb_client_password" type="secret" description="Database password" mandatory="True" hidden="True" supplier="MariaDB:password"/>
      <variable name="mariadb_client_database" description="Database name" mandatory="True" hidden="True"/>
    </family>
  </variables>
  <constraints>
    <fill name="normalize_family">
      <param type="variable">domain_name_eth0</param>
      <target>mariadb_client_username</target>
    </fill>
    <fill name="calc_value">
      <param type="variable">mariadb_client_username</param>
      <target>mariadb_client_database</target>
    </fill>
    <fill name="get_password">
      <param name="server_name" type="variable">mariadb_client_server_domainname</param>
      <param name="username" type="variable">domain_name_eth0</param>
      <param name="description">remote</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>mariadb_client_password</target>
    </fill>
  </constraints>
</rougail>
